# TokyoTyrantQuery::hint

(No version information available, might only be in Git)

TokyoTyrantQuery::hint — Get the hint string of the query

### Description

public TokyoTyrantQuery::hint ( void ) : string

Get the hint string of the query. The hint string contains information about an executed query and it could be compared to for example MySQL EXPLAIN statement.

### Parameters

This function has no parameters.

### Return Values

This method always returns a string

### Examples

Example #1 TokyoTyrantQuery::hint example

`<?php
$tt = new TokyoTyrantTable("localhost", 1979);
$tt->vanish();
for ($i = 0; $i < 11; $i++) {
$tt->put(null, array('a_col' => 'a' . $i, 'b_col' => 'b' . $i));
}
$query = $tt->getQuery();
$query->addCond('a_col', TokyoTyrant::RDBQC_STRBW, 'a');
$query->search();
var_dump($query->hint());
?>`

The above example will output something similar to:

    string(72) "
    scanning the whole table
    result set size: 11
    leaving the natural order
    "

### See Also

- TokyoTyrantQuery::addCond() - Adds a condition to the query